"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const hasActiveObservations = require("../algorithms/hasActiveObservations.js");
const hasSkippedObservations = require("../algorithms/hasSkippedObservations.js");
const deliverResizeLoopError = require("../algorithms/deliverResizeLoopError.js");
const broadcastActiveObservations = require("../algorithms/broadcastActiveObservations.js");
const gatherActiveObservationsAtDepth = require("../algorithms/gatherActiveObservationsAtDepth.js");
var process = function() {
  var depth = 0;
  gatherActiveObservationsAtDepth.gatherActiveObservationsAtDepth(depth);
  while (hasActiveObservations.hasActiveObservations()) {
    depth = broadcastActiveObservations.broadcastActiveObservations();
    gatherActiveObservationsAtDepth.gatherActiveObservationsAtDepth(depth);
  }
  if (hasSkippedObservations.hasSkippedObservations()) {
    deliverResizeLoopError.deliverResizeLoopError();
  }
  return depth > 0;
};
exports.process = process;
